%define qtver            4.8
%define pyname           PySide
%define tarname          pyside
%define py3suffix        python%{python3_version}
%define py2suffix        python%{python2_version}

%define verconflicts     1.2.2-11

#(eatdirt) to fix conflicts EVERYWHERE :(
%define includevelname   %{name}-include-devel
%define cmakedevelname   %{name}-cmake-devel
%define phonontypename   %{name}-typesystems-phonon
%define coretypename     %{name}-typesystems-core
%define decltypename     %{name}-typesystems-declarative
%define guitypename      %{name}-typesystems-gui
%define helptypename     %{name}-typesystems-help
%define multitypename    %{name}-typesystems-multimedia
%define nettypename      %{name}-typesystems-network
%define gltypename       %{name}-typesystems-opengl
%define scriptstypename  %{name}-typesystems-scripts
%define sqltypename      %{name}-typesystems-sql
%define svgtypename      %{name}-typesystems-svg
%define testtypename     %{name}-typesystems-test
%define uitoolstypename  %{name}-typesystems-uitools
%define webktypename     %{name}-typesystems-webkit
%define xmlstypename     %{name}-typesystems-xmls


Name:           pyside
Version:        1.2.2
Release:        %mkrel 12
License:        LGPLv2+
Summary:        The PySide project provides LGPL-licensed Python bindings for the Qt
Group:          Development/KDE and Qt
URL:            http://www.pyside.org
Source0:        http://download.qt-project.org/official_releases/pyside/%{tarname}-qt%{qtver}+%{version}.tar.bz2
BuildRequires:  cmake
BuildRequires:  qt4-devel
BuildRequires:  pkgconfig(QtWebKit)
BuildRequires:  phonon-devel
BuildRequires:  shiboken-devel >= 1.2.0
BuildRequires:  python-devel
Requires:       pyside-phonon
Requires:       pyside-core
Requires:       pyside-declarative
Requires:       pyside-gui
Requires:       pyside-help
Requires:       pyside-multimedia
Requires:       pyside-network
Requires:       pyside-opengl
Requires:       pyside-script
Requires:       pyside-scripttools
Requires:       pyside-sql
Requires:       pyside-test
Requires:       pyside-xmlpatterns
Requires:       pyside-xml
Requires:       pyside-uitools
Requires:       pyside-svg
Requires:       pyside-webkit

%description
The PySide project provides LGPL-licensed Python bindings for the Qt
cross-platform application and UI framework. PySide Qt bindings allow both free
open source and proprietary software development and ultimately aim to support
all of the platforms as Qt itself.

%files
%doc COPYING ChangeLog
%doc doc/*.rst

#------------------------------------------------------------------------------

%package -n     python3-%{tarname}
Summary:        The PySide project provides LGPL-licensed Python3 bindings for the Qt
Group:          Development/KDE and Qt
BuildRequires:  python3-devel
BuildRequires:  python3-shiboken-devel
Requires:       python3-pyside-phonon
Requires:       python3-pyside-core
Requires:       python3-pyside-declarative
Requires:       python3-pyside-gui
Requires:       python3-pyside-help
Requires:       python3-pyside-multimedia
Requires:       python3-pyside-network
Requires:       python3-pyside-opengl
Requires:       python3-pyside-script
Requires:       python3-pyside-scripttools
Requires:       python3-pyside-sql
Requires:       python3-pyside-test
Requires:       python3-pyside-xmlpatterns
Requires:       python3-pyside-xml
Requires:       python3-pyside-uitools
Requires:       python3-pyside-svg
Requires:       python3-pyside-webkit

%description -n python3-pyside
The PySide project provides LGPL-licensed Python bindings for the Qt
cross-platform application and UI framework. PySide Qt bindings allow both free
open source and proprietary software development and ultimately aim to support
all of the platforms as Qt itself. This is the Python3 version.

%files -n       python3-%{tarname}

#------------------------------------------------------------------------------

%package        phonon
Summary:        PySide phonon module
Group:          Development/KDE and Qt
Requires:       pyside-core = %{version}
Requires:       %{phonontypename} = %{version}-%{release}

%description    phonon
PySide phonon module.

%files          phonon
%{py_platsitedir}/PySide/phonon.so

#------------------------------------------------------------------------------

%package -n     python3-%{tarname}-phonon
Summary:        PySide phonon module
Group:          Development/KDE and Qt
Requires:       python3-%{tarname}-core = %{version}
Requires:       %{phonontypename} = %{version}-%{release}

%description -n python3-%{tarname}-phonon
PySide phonon module. This is the Python3 version.

%files -n       python3-%{tarname}-phonon
%{python3_sitearch}/PySide/phonon.so

#------------------------------------------------------------------------------

%package -n     %{phonontypename}
Summary:        Typesystems files for PySide phonon module
Group:          Development/KDE and Qt
Conflicts:      %{tarname}-phonon < %{verconflicts}
Conflicts:      python3-%{tarname}-phonon < %{verconflicts}

%description -n %{phonontypename}
Typesystem files for both the Python2 and Python3 PySide phonon module.

%files -n        %{phonontypename}   
%{_datadir}/PySide/typesystems/typesystem_phonon.*

#------------------------------------------------------------------------------






#------------------------------------------------------------------------------

%package        core
Summary:        PySide core module
Group:          Development/KDE and Qt
Requires:       %{coretypename} = %{version}-%{release}

%description    core
PySide core module.

%files          core
%{py_platsitedir}/PySide/QtCore.so
%{py_platsitedir}/PySide/__init__.py*
%{py_platsitedir}/PySide/_utils.py*

#------------------------------------------------------------------------------

%package -n     python3-%{tarname}-core
Summary:        PySide core module
Group:          Development/KDE and Qt
Requires:       %{coretypename} = %{version}-%{release}


%description -n python3-%{tarname}-core
PySide core module. This is the Python3 version.

%files -n        python3-%{tarname}-core
%{python3_sitearch}/PySide/QtCore.so
%{python3_sitearch}/PySide/__init__.py*
%{python3_sitearch}/PySide/_utils.py*
%{python3_sitearch}/PySide/__pycache__/


#------------------------------------------------------------------------------

%package -n     %{coretypename}
Summary:        Typesystems files for PySide core module
Group:          Development/KDE and Qt
Conflicts:      %{tarname}-core < %{verconflicts}
Conflicts:      python3-%{tarname}-core < %{verconflicts}

%description -n %{coretypename}
Typesystem files for both the Python2 and Python3 PySide core module.

%files -n        %{coretypename}     
%{_datadir}/PySide/typesystems/typesystem_core*
%{_datadir}/PySide/typesystems/typesystem_templates.*

#------------------------------------------------------------------------------






#------------------------------------------------------------------------------

%package        declarative
Summary:        PySide declarative module
Group:          Development/KDE and Qt
Requires:       pyside-core = %{version}
Requires:       %{decltypename} = %{version}-%{release}

%description    declarative
PySide declarative module.

%files          declarative
%{py_platsitedir}/PySide/QtDeclarative.so

#------------------------------------------------------------------------------

%package -n     python3-%{tarname}-declarative
Summary:        PySide declarative module
Group:          Development/KDE and Qt
Requires:       python3-%{tarname}-core = %{version}
Requires:       %{decltypename} = %{version}-%{release}

%description -n python3-%{tarname}-declarative
PySide declarative module. This is the Python3 version.

%files -n       python3-%{tarname}-declarative
%{python3_sitearch}/PySide/QtDeclarative.so


#------------------------------------------------------------------------------

%package -n     %{decltypename}
Summary:        Typesystems files for PySide declarative module
Group:          Development/KDE and Qt
Conflicts:      %{tarname}-declarative < %{verconflicts}
Conflicts:      python3-%{tarname}-declarative < %{verconflicts}

%description -n %{decltypename}
Typesystem files for both the Python2 and Python3 PySide declarative module.

%files -n        %{decltypename}     
%{_datadir}/PySide/typesystems/typesystem_declarative.*

#------------------------------------------------------------------------------







#------------------------------------------------------------------------------

%package        gui
Summary:        PySide gui module
Group:          Development/KDE and Qt
Requires:       pyside-core = %{version}
Requires:       %{guitypename} = %{version}-%{release}

%description    gui
PySide gui module.

%files          gui
%{py_platsitedir}/PySide/QtGui.so


#------------------------------------------------------------------------------

%package -n     python3-%{tarname}-gui
Summary:        PySide gui module
Group:          Development/KDE and Qt
Requires:       python3-%{tarname}-core = %{version}
Requires:       %{guitypename} = %{version}-%{release}

%description -n python3-%{tarname}-gui
PySide gui module. This is the Python3 version.

%files -n       python3-%{tarname}-gui
%{python3_sitearch}/PySide/QtGui.so


#------------------------------------------------------------------------------

%package -n     %{guitypename}
Summary:        Typesystems files for PySide gui module
Group:          Development/KDE and Qt
Conflicts:      %{tarname}-gui < %{verconflicts}
Conflicts:      python3-%{tarname}-gui < %{verconflicts}

%description -n %{guitypename}
Typesystem files for both the Python2 and Python3 PySide gui module.

%files -n        %{guitypename}     
%{_datadir}/PySide/typesystems/typesystem_gui*

#------------------------------------------------------------------------------







#------------------------------------------------------------------------------

%package        help
Summary:        PySide help module
Group:          Development/KDE and Qt
Requires:       pyside-core = %{version}
Requires:       %{helptypename} = %{version}-%{release}

%description    help
PySide help module.

%files          help
%{py_platsitedir}/PySide/QtHelp.so

#------------------------------------------------------------------------------

%package -n     python3-%{tarname}-help
Summary:        PySide help module
Group:          Development/KDE and Qt
Requires:       python3-%{tarname}-core = %{version}
Requires:       %{helptypename} = %{version}-%{release}

%description -n python3-%{tarname}-help
PySide help module. This is the Python3 version.

%files -n       python3-%{tarname}-help
%{python3_sitearch}/PySide/QtHelp.so


#------------------------------------------------------------------------------

%package -n     %{helptypename}
Summary:        Typesystems files for PySide help module
Group:          Development/KDE and Qt
Conflicts:      %{tarname}-help < %{verconflicts}
Conflicts:      python3-%{tarname}-help < %{verconflicts}

%description -n %{helptypename}
Typesystem files for both the Python2 and Python3 PySide help module.

%files -n        %{helptypename}     
%{_datadir}/PySide/typesystems/typesystem_help.*

#------------------------------------------------------------------------------








#------------------------------------------------------------------------------

%package        multimedia
Summary:        PySide multimedia module
Group:          Development/KDE and Qt
Requires:       pyside-core = %{version}
Requires:       %{multitypename} = %{version}-%{release}

%description    multimedia
PySide multimedia module.

%files          multimedia
%{py_platsitedir}/PySide/QtMultimedia.so


#------------------------------------------------------------------------------

%package -n     python3-%{tarname}-multimedia
Summary:        PySide multimedia module
Group:          Development/KDE and Qt
Requires:       python3-%{tarname}-core = %{version}
Requires:       %{multitypename} = %{version}-%{release}

%description -n python3-%{tarname}-multimedia
PySide multimedia module. This is the Python3 version.

%files -n       python3-%{tarname}-multimedia
%{python3_sitearch}/PySide/QtMultimedia.so

#------------------------------------------------------------------------------

%package -n     %{multitypename}
Summary:        Typesystems files for PySide multimedia module
Group:          Development/KDE and Qt
Conflicts:      %{tarname}-multimedia < %{verconflicts}
Conflicts:      python3-%{tarname}-multimedia < %{verconflicts}

%description -n %{multitypename}
Typesystem files for both the Python2 and Python3 PySide multimedia module.

%files -n        %{multitypename}    
%{_datadir}/PySide/typesystems/typesystem_multimedia*

#------------------------------------------------------------------------------









#------------------------------------------------------------------------------

%package        network
Summary:        PySide network module
Group:          Development/KDE and Qt
Requires:       pyside-core = %{version}
Requires:       %{nettypename} = %{version}-%{release}

%description    network
PySide network module.

%files          network
%{py_platsitedir}/PySide/QtNetwork.so


#------------------------------------------------------------------------------

%package -n     python3-%{tarname}-network
Summary:        PySide network module
Group:          Development/KDE and Qt
Requires:       python3-%{tarname}-core = %{version}
Requires:       %{nettypename} = %{version}-%{release}

%description -n python3-%{tarname}-network
PySide network module. This is the Python3 version.

%files -n       python3-%{tarname}-network
%{python3_sitearch}/PySide/QtNetwork.so



#------------------------------------------------------------------------------

%package -n     %{nettypename}
Summary:        Typesystems files for PySide network module
Group:          Development/KDE and Qt
Conflicts:      %{tarname}-network < %{verconflicts}
Conflicts:      python3-%{tarname}-network < %{verconflicts}

%description -n %{nettypename}
Typesystem files for both the Python2 and Python3 PySide network module.

%files -n        %{nettypename}    
%{_datadir}/PySide/typesystems/typesystem_network.*

#------------------------------------------------------------------------------










#------------------------------------------------------------------------------

%package        opengl
Summary:        PySide opengl module
Group:          Development/KDE and Qt
Requires:       pyside-core = %{version}
Requires:       %{gltypename} = %{version}-%{release}

%description    opengl
PySide opengl module.

%files          opengl
%{py_platsitedir}/PySide/QtOpenGL.so

#------------------------------------------------------------------------------

%package -n     python3-%{tarname}-opengl
Summary:        PySide opengl module
Group:          Development/KDE and Qt
Requires:       python3-%{tarname}-core = %{version}
Requires:       %{gltypename} = %{version}-%{release}

%description -n python3-%{tarname}-opengl
PySide opengl module. This is the Python3 version.

%files -n       python3-%{tarname}-opengl
%{python3_sitearch}/PySide/QtOpenGL.so


#------------------------------------------------------------------------------

%package -n     %{gltypename}
Summary:        Typesystems files for PySide opengl module
Group:          Development/KDE and Qt
Conflicts:      %{tarname}-opengl < %{verconflicts}
Conflicts:      python3-%{tarname}-opengl < %{verconflicts}


%description -n %{gltypename}
Typesystem files for both the Python2 and Python3 PySide opengl module.

%files -n        %{gltypename}    
%{_datadir}/PySide/typesystems/typesystem_opengl*

#------------------------------------------------------------------------------









#------------------------------------------------------------------------------

%package        script
Summary:        PySide script module
Group:          Development/KDE and Qt
Requires:       pyside-core = %{version}
Requires:       %{scriptstypename} = %{version}-%{release}

%description    script
PySide script module.

%files          script
%{py_platsitedir}/PySide/QtScript.so

#------------------------------------------------------------------------------

%package -n     python3-%{tarname}-script
Summary:        PySide script module
Group:          Development/KDE and Qt
Requires:       python3-%{tarname}-core = %{version}
Requires:       %{scriptstypename} = %{version}-%{release}

%description -n python3-%{tarname}-script
PySide script module. This is the Python3 version.

%files -n       python3-%{tarname}-script
%{python3_sitearch}/PySide/QtScript.so


#------------------------------------------------------------------------------

%package        scripttools
Summary:        PySide scripttool module
Group:          Development/KDE and Qt
Requires:       pyside-core = %{version}
Requires:       %{scriptstypename} = %{version}-%{release}

%description    scripttools
PySide scripttool module.

%files          scripttools
%{py_platsitedir}/PySide/QtScriptTools.so

#------------------------------------------------------------------------------

%package -n     python3-%{tarname}-scripttools
Summary:        PySide scripttool module
Group:          Development/KDE and Qt
Requires:       python3-%{tarname}-core = %{version}
Requires:       %{scriptstypename} = %{version}-%{release}

%description -n python3-%{tarname}-scripttools
PySide scripttool module. This is the Python3 version.

%files -n       python3-%{tarname}-scripttools
%{python3_sitearch}/PySide/QtScriptTools.so


#------------------------------------------------------------------------------

%package -n     %{scriptstypename}
Summary:        Typesystems files for PySide script and scripttools modules
Group:          Development/KDE and Qt
Conflicts:      %{tarname}-script < %{verconflicts}
Conflicts:      python3-%{tarname}-script < %{verconflicts}
Conflicts:      %{tarname}-scripttools < %{verconflicts}
Conflicts:      python3-%{tarname}-scripttools < %{verconflicts}

%description -n %{scriptstypename}
Typesystem files for both the Python2 and Python3 PySide script and scripttools modules.

%files -n        %{scriptstypename}    
%{_datadir}/PySide/typesystems/typesystem_scripttools.*
%{_datadir}/PySide/typesystems/typesystem_script.*

#------------------------------------------------------------------------------





#------------------------------------------------------------------------------

%package        sql
Summary:        PySide sql module
Group:          Development/KDE and Qt
Requires:       pyside-core = %{version}
Requires:       %{sqltypename} = %{version}-%{release}

%description    sql
PySide sql module.

%files          sql
%{py_platsitedir}/PySide/QtSql.so

#------------------------------------------------------------------------------

%package -n     python3-%{tarname}-sql
Summary:        PySide sql module
Group:          Development/KDE and Qt
Requires:       python3-%{tarname}-core = %{version}
Requires:       %{sqltypename} = %{version}-%{release}

%description -n python3-%{tarname}-sql
PySide sql module. This is the Python3 version.

%files -n       python3-%{tarname}-sql
%{python3_sitearch}/PySide/QtSql.so


#------------------------------------------------------------------------------

%package -n     %{sqltypename}
Summary:        Typesystems files for PySide sql module
Group:          Development/KDE and Qt
Conflicts:      %{tarname}-sql < %{verconflicts}
Conflicts:      python3-%{tarname}-sql < %{verconflicts}

%description -n %{sqltypename}
Typesystem files for both the Python2 and Python3 PySide sql modules.

%files -n        %{sqltypename}    
%{_datadir}/PySide/typesystems/typesystem_sql.*

#------------------------------------------------------------------------------











#------------------------------------------------------------------------------

%package        svg
Summary:        PySide svg module
Group:          Development/KDE and Qt
Requires:       pyside-core = %{version}
Requires:       %{svgtypename} = %{version}-%{release}

%description    svg
PySide svg module.

%files          svg
%{py_platsitedir}/PySide/QtSvg.so

#------------------------------------------------------------------------------

%package -n     python3-%{tarname}-svg
Summary:        PySide svg module
Group:          Development/KDE and Qt
Requires:       python3-%{tarname}-core = %{version}
Requires:       %{svgtypename} = %{version}-%{release}

%description -n python3-%{tarname}-svg
PySide svg module. This is the Python3 version.

%files -n       python3-%{tarname}-svg
%{python3_sitearch}/PySide/QtSvg.so

#------------------------------------------------------------------------------

%package -n     %{svgtypename}
Summary:        Typesystems files for PySide svg module
Group:          Development/KDE and Qt
Conflicts:      %{tarname}-svg < %{verconflicts}
Conflicts:      python3-%{tarname}-svg < %{verconflicts}

%description -n %{svgtypename}
Typesystem files for both the Python2 and Python3 PySide svg modules.

%files -n        %{svgtypename}    
%{_datadir}/PySide/typesystems/typesystem_svg.*

#------------------------------------------------------------------------------








#------------------------------------------------------------------------------

%package        test
Summary:        PySide test module
Group:          Development/KDE and Qt
Requires:       pyside-core = %{version}
Requires:       %{testtypename} = %{version}-%{release}

%description    test
PySide test module.

%files          test
%{py_platsitedir}/PySide/QtTest.so

#------------------------------------------------------------------------------

%package -n     python3-%{tarname}-test
Summary:        PySide test module
Group:          Development/KDE and Qt
Requires:       python3-%{tarname}-core = %{version}
Requires:       %{testtypename} = %{version}-%{release}

%description -n python3-%{tarname}-test
PySide test module. This is the Python3 version.

%files -n       python3-%{tarname}-test
%{python3_sitearch}/PySide/QtTest.so

#------------------------------------------------------------------------------

%package -n     %{testtypename}
Summary:        Typesystems files for PySide test module
Group:          Development/KDE and Qt
Conflicts:      %{tarname}-test < %{verconflicts}
Conflicts:      python3-%{tarname}-test < %{verconflicts}

%description -n %{testtypename}
Typesystem files for both the Python2 and Python3 PySide test modules.

%files -n        %{testtypename}    
%{_datadir}/PySide/typesystems/typesystem_test.*

#------------------------------------------------------------------------------





#------------------------------------------------------------------------------

%package        uitools
Summary:        PySide uitools module
Group:          Development/KDE and Qt
Requires:       pyside-core = %{version}
Requires:       %{uitoolstypename} = %{version}-%{release}

%description    uitools
PySide uitools module.

%files          uitools
%{py_platsitedir}/PySide/QtUiTools.so


#------------------------------------------------------------------------------

%package -n     python3-%{tarname}-uitools
Summary:        PySide uitools module
Group:          Development/KDE and Qt
Requires:       python3-%{tarname}-core = %{version}
Requires:       %{uitoolstypename} = %{version}-%{release}

%description -n python3-%{tarname}-uitools
PySide uitools module. This is the Python3 version.

%files -n       python3-%{tarname}-uitools
%{python3_sitearch}/PySide/QtUiTools.so


#------------------------------------------------------------------------------

%package -n     %{uitoolstypename}
Summary:        Typesystems files for PySide uitools module
Group:          Development/KDE and Qt
Conflicts:      %{tarname}-uitools < %{verconflicts}
Conflicts:      python3-%{tarname}-uitools < %{verconflicts}

%description -n %{uitoolstypename}
Typesystem files for both the Python2 and Python3 PySide uitools modules.

%files -n        %{uitoolstypename}    
%{_datadir}/PySide/typesystems/typesystem_uitools.*

#------------------------------------------------------------------------------





#------------------------------------------------------------------------------

%package        webkit
Summary:        PySide webkit module
Group:          Development/KDE and Qt
Requires:       pyside-core = %{version}
Requires:       %{webktypename} = %{version}-%{release}

%description    webkit
PySide webkit module.

%files          webkit
%{py_platsitedir}/PySide/QtWebKit.so

#------------------------------------------------------------------------------

%package -n     python3-%{tarname}-webkit
Summary:        PySide webkit module
Group:          Development/KDE and Qt
Requires:       python3-%{tarname}-core = %{version}
Requires:       %{webktypename} = %{version}-%{release}


%description -n python3-%{tarname}-webkit
PySide webkit module. This is the Python3 version.

%files -n       python3-%{tarname}-webkit
%{python3_sitearch}/PySide/QtWebKit.so

#------------------------------------------------------------------------------

%package -n     %{webktypename}
Summary:        Typesystems files for PySide webkit module
Group:          Development/KDE and Qt
Conflicts:      %{tarname}-webkit < %{verconflicts}
Conflicts:      python3-%{tarname}-webkit < %{verconflicts}

%description -n %{webktypename}
Typesystem files for both the Python2 and Python3 PySide webkit modules.

%files -n        %{webktypename}    
%{_datadir}/PySide/typesystems/typesystem_webkit*

#------------------------------------------------------------------------------







#------------------------------------------------------------------------------

%package        xmlpatterns
Summary:        PySide xmlpatterns module
Group:          Development/KDE and Qt
Requires:       pyside-core = %{version}
Requires:       %{xmlstypename} = %{version}-%{release}

%description    xmlpatterns
PySide xmlpatterns module.

%files          xmlpatterns
%{py_platsitedir}/PySide/QtXmlPatterns.so

#------------------------------------------------------------------------------

%package -n     python3-%{tarname}-xmlpatterns
Summary:        PySide xmlpatterns module
Group:          Development/KDE and Qt
Requires:       python3-%{tarname}-core = %{version}
Requires:       %{xmlstypename} = %{version}-%{release}

%description -n python3-%{tarname}-xmlpatterns
PySide xmlpatterns module. This is the Python3 version.

%files -n       python3-%{tarname}-xmlpatterns
%{python3_sitearch}/PySide/QtXmlPatterns.so


#------------------------------------------------------------------------------

%package        xml
Summary:        PySide xml module
Group:          Development/KDE and Qt
Requires:       pyside-core = %{version}
Requires:       %{xmlstypename} = %{version}-%{release}

%description    xml
PySide xml module.

%files          xml
%{py_platsitedir}/PySide/QtXml.so

#------------------------------------------------------------------------------

%package -n     python3-%{tarname}-xml
Summary:        PySide xml module
Group:          Development/KDE and Qt
Requires:       python3-%{tarname}-core = %{version}
Requires:       %{xmlstypename} = %{version}-%{release}

%description -n python3-%{tarname}-xml
PySide xml module. This is the Python3 version.

%files -n       python3-%{tarname}-xml
%{python3_sitearch}/PySide/QtXml.so

#------------------------------------------------------------------------------

%package -n     %{xmlstypename}
Summary:        Typesystems files for PySide xml and xmlpatterm modules
Group:          Development/KDE and Qt
Conflicts:      %{tarname}-xml < %{verconflicts}
Conflicts:      %{tarname}-xmlpatterns < %{verconflicts}
Conflicts:      python3-%{tarname}-xml < %{verconflicts}
Conflicts:      python3-%{tarname}-xmlpatterns < %{verconflicts}

%description -n %{xmlstypename}
Typesystem files for both the Python2 and Python3 PySide xml and xmlpatterm modules.

%files -n        %{xmlstypename}    
%{_datadir}/PySide/typesystems/typesystem_xml.*
%{_datadir}/PySide/typesystems/typesystem_xmlpatterns*

#------------------------------------------------------------------------------






#------------------------------------------------------------------------------

%define major   1
%define libname %mklibname pyside %{major}

%package -n     %{libname}
Summary:        PySide core library
Group:          Development/KDE and Qt
Obsoletes:      %{_lib}pysidebase0 < 0.4.0

%description -n %{libname}
PySide core library.

%files -n       %{libname}
%{_libdir}/libpyside-%{py2suffix}.so.%{major}{,.*}

#------------------------------------------------------------------------------

%define py3libname %mklibname python3-%{tarname} %{major}

%package -n     %{py3libname}
Summary:        PySide core library
Group:          Development/KDE and Qt

%description -n %{py3libname}
PySide core library. This is the Python3 version.

%files -n       %{py3libname}
%{_libdir}/libpyside-%{py3suffix}*.so.%{major}{,.*}


#------------------------------------------------------------------------------

%package        devel
Summary:        PySide devel files
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}
Requires:       %{libname} = %{version}
Requires:       %{includevelname} = %{version}-%{release}
Requires:       %{cmakedevelname} = %{version}-%{release}

%description    devel
PySide devel files.

%files          devel
%{_libdir}/libpyside-%{py2suffix}.so
%{_libdir}/cmake/%{pyname}-%{version}/%{pyname}Config-%{py2suffix}.cmake
%{_libdir}/pkgconfig/%{tarname}.pc

#------------------------------------------------------------------------------

%package -n     python3-%{tarname}-devel
Summary:        PySide devel files
Group:          Development/KDE and Qt
Requires:       python3-%{tarname} = %{version}
Requires:       %{py3libname} = %{version}
Requires:       %{includevelname} = %{version}-%{release}
Requires:       %{cmakedevelname} = %{version}-%{release}

%description -n python3-%{tarname}-devel
PySide devel files. This is the Python3 version.

%files -n       python3-%{tarname}-devel
%{_libdir}/libpyside-%{py3suffix}*.so
%{_libdir}/cmake/%{pyname}-%{version}/%{pyname}Config-%{py3suffix}.cmake 
%{_libdir}/pkgconfig/%{tarname}-%{py3suffix}.pc

#------------------------------------------------------------------------------

%package -n %{includevelname}
Summary:       PySide include development files
Group:         Development/KDE and Qt
Requires:      %{name} = %{version}-%{release}
Requires:      %{libname} = %{version}-%{release}
Conflicts:     %{tarname}-devel < %{verconflicts}
Conflicts:     python3-%{tarname}-devel < %{verconflicts}

%description -n %{includevelname}
Include files for both the Python2 and Python3 development packages of
PySide.

%files -n %{includevelname}
%{_includedir}/*

#-----------------------------------------------------------------------------

%package -n %{cmakedevelname}
Summary:       PySide include development files
Group:         Development/KDE and Qt
Requires:      %{name} = %{version}-%{release}
Requires:      %{libname} = %{version}-%{release}
Conflicts:     %{tarname}-devel < %{verconflicts}
Conflicts:     python3-%{tarname}-devel < %{verconflicts}

%description -n %{cmakedevelname}
CMake files for both the Python2 and Python3 development packages of
PySide.

%files -n %{cmakedevelname}
%{_libdir}/cmake/%{pyname}-%{version}/%{pyname}Config.cmake
%{_libdir}/cmake/%{pyname}-%{version}/%{pyname}ConfigVersion.cmake

#-----------------------------------------------------------------------------



%prep
%setup -q -n %name-qt%{qtver}+%{version}
%__cp -a . %{py3dir}



%build
%define Werror_cflags %nil
pushd %{py3dir}

%cmake \
        -DQT_SRC_DIR=%{buildroot}%{qt4dir} \
        -DQT_PHONON_INCLUDE_DIR=%{_includedir}/phonon \
        -DPYTHON_SUFFIX=-%{py3suffix} \
        -DPYTHON_EXECUTABLE=%{__python3}
%make_build
popd



%cmake \
        -DQT_SRC_DIR=%{buildroot}%{qt4dir} \
        -DQT_PHONON_INCLUDE_DIR=%{_includedir}/phonon
%make_build



%install
pushd %{py3dir}
%make_install -C build
%__mv %{buildroot}%{_libdir}/pkgconfig/%{tarname}.pc %{buildroot}%{_libdir}/pkgconfig/%{tarname}-%{py3suffix}.pc
popd

%make_install -C build


%changelog
* Sun Jun 18 2017 eatdirt <eatdirt> 1.2.2-12.mga6
+ Revision: 1107878
- Add explicit conflicts to actually fix mga5->mga6 upgrade

* Fri Jun 16 2017 eatdirt <eatdirt> 1.2.2-11.mga6
+ Revision: 1107791
- Fix a missing '-' well hidden
- Fixing tons of f... conflicts

* Tue Feb 16 2016 umeabot <umeabot> 1.2.2-9.mga6
+ Revision: 962184
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 philippem <philippem> 1.2.2-8.mga6
+ Revision: 887324
- rebuild for Python3.5

* Wed Oct 15 2014 umeabot <umeabot> 1.2.2-7.mga5
+ Revision: 749853
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.2.2-6.mga5
+ Revision: 728009
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.2.2-5.mga5
+ Revision: 687866
- Mageia 5 Mass Rebuild

* Sat Sep 13 2014 philippem <philippem> 1.2.2-4.mga5
+ Revision: 675132
- add missing requires

* Sat May 31 2014 pterjan <pterjan> 1.2.2-3.mga5
+ Revision: 629714
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 1.2.2-2.mga5
+ Revision: 628439
- Rebuild for new Python

* Wed May 14 2014 fwang <fwang> 1.2.2-1.mga5
+ Revision: 622689
- 1.2.2

* Sun Apr 20 2014 philippem <philippem> 1.2.1-4.mga5
+ Revision: 617194
- add Python3

* Mon Oct 21 2013 umeabot <umeabot> 1.2.1-3.mga4
+ Revision: 541094
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 fwang <fwang> 1.2.1-2.mga4
+ Revision: 495086
- update file list

* Thu Aug 29 2013 fwang <fwang> 1.2.1-1.mga4
+ Revision: 472834
- new version 1.2.1

* Mon Jul 15 2013 fwang <fwang> 1.2.0-1.mga4
+ Revision: 454693
- update file list
- new version 1.2.0

* Sun Jan 13 2013 umeabot <umeabot> 1.1.2-2.mga3
+ Revision: 378423
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 01 2012 fwang <fwang> 1.1.2-1.mga3
+ Revision: 286926
- new version 1.1.2

* Wed Jul 18 2012 fwang <fwang> 1.1.1-2.mga3
+ Revision: 272274
- there is no generatorrunner now

* Sun Jun 03 2012 fwang <fwang> 1.1.1-1.mga3
+ Revision: 253517
- new version 1.1.1

* Sat Jan 07 2012 fwang <fwang> 1.1.0-1.mga2
+ Revision: 192848
- update file list
- new version 1.1.0

* Sun Dec 18 2011 fwang <fwang> 1.0.9-2.mga2
+ Revision: 183604
- br qtwebkit

* Tue Dec 06 2011 fwang <fwang> 1.0.9-1.mga2
+ Revision: 177240
- new version 1.0.9

* Tue Oct 25 2011 fwang <fwang> 1.0.8-1.mga2
+ Revision: 157960
- new version 1.0.8

* Sun Sep 25 2011 fwang <fwang> 1.0.7-1.mga2
+ Revision: 147682
- new version 1.0.7
- new version 1.0.6
- new version 1.0.5

* Mon Jun 27 2011 fwang <fwang> 1.0.4-1.mga2
+ Revision: 114475
- new version 1.0.4

* Thu Mar 24 2011 boklm <boklm> 1.0.0-2.mga1
+ Revision: 76201
- rebuild for bug #497

* Sat Mar 05 2011 mikala <mikala> 1.0.0-1.mga1
+ Revision: 65035
- Remove BuildRoot
- imported package pyside

